/*
 * exceptions.h
 *
 *  Created on: 
 *      Author: 
 */

#ifndef EXCEPTIONS_H_
#define EXCEPTIONS_H_

#include <stdexcept>

namespace VPAC {

/**
 * Indicates a general error.
 */
class MyException: public std::exception {
protected:
	const char *message;

public:
	MyException(const char *message);
	virtual const char *what();
};

/**
 * Indicates a problem with the inputs specified by the user.
 */
class RequestException: public MyException {
public:
	RequestException(const char *message);
};

/**
 * Indicates a problem with data being processed.
 */
class DataException: public MyException {
public:
	DataException(const char *message);
};

}

#endif /* EXCEPTIONS_H_ */
